'use strict';

/**
 *
 *
 * @author Zhong
 * @date 2019/2/18
 * @version
 */

let express = require("express");
let vvTaxRouter =express.Router();
import VVTaxController from "../controllers/vvTax_controller";
let vvTaxController = new VVTaxController();

module.exports =function (app){

    vvTaxRouter.get("/main", vvTaxController.auth, vvTaxController.init, vvTaxController.main);
    vvTaxRouter.post("/addLib", vvTaxController.auth, vvTaxController.init, vvTaxController.addLib);
    vvTaxRouter.post("/findLib", vvTaxController.auth, vvTaxController.init, vvTaxController.findLib);
    vvTaxRouter.post("/saveLib", vvTaxController.auth, vvTaxController.init, vvTaxController.saveLib);
    vvTaxRouter.post("/deleteLibByID", vvTaxController.auth, vvTaxController.init, vvTaxController.deleteLibByID);
    vvTaxRouter.get("/edit/:libID", vvTaxController.auth, vvTaxController.init, vvTaxController.edit);
    app.use("/vvTax", vvTaxRouter);
};

